Loading...
Searching...
No Matches
pcl::ndt2d::NDT2D< PointT > Class Template Reference

Build a Normal Distributions Transform of a 2D point cloud. More...

`#include <pcl/registration/impl/ndt_2d.hpp>`

Inheritance diagram for pcl::ndt2d::NDT2D< PointT >:

## Public Member Functions

| NDT2D (PointCloudConstPtr cloud, const Eigen::Vector2f &about, const Eigen::Vector2f &extent, const Eigen::Vector2f &step)
ValueAndDerivatives< 3, double > | test (const PointT &transformed_pt, const double &cos_theta, const double &sin_theta) const
| Return the 'score' (denormalised likelihood) and derivatives of score of the point p given this distribution.

## Protected Attributes

std::shared_ptr< SingleGrid > | single_grids_ [4]

## Detailed Description

template<typename PointT>
class pcl::ndt2d::NDT2D< PointT >

Build a Normal Distributions Transform of a 2D point cloud.

This consists of the sum of four overlapping models of the original points with normal distributions. The value and derivatives of the model at any point can be evaluated with the test (...) function.

Definition at line 311 of file ndt_2d.hpp.

## Constructor & Destructor Documentation

## NDT2D()

template<typename PointT>

pcl::ndt2d::NDT2D< PointT >::NDT2D | ( | PointCloudConstPtr | cloud,
|  | const Eigen::Vector2f & | about,
|  | const Eigen::Vector2f & | extent,
|  | const Eigen::Vector2f & | step )

inline

Parameters

  [in] | cloud | the input point cloud
  [in] | about | Centre of the grid for normal distributions model
  [in] | extent | Extent of grid for normal distributions model
  [in] | step | Size of region that each normal distribution will model

Definition at line 323 of file ndt_2d.hpp.

References single_grids_.

## Member Function Documentation

## test()

template<typename PointT>

ValueAndDerivatives< 3, double > pcl::ndt2d::NDT2D< PointT >::test | ( | const PointT & | transformed_pt,
|  | const double & | cos_theta,
|  | const double & | sin_theta ) const

inline

Return the 'score' (denormalised likelihood) and derivatives of score of the point p given this distribution.

Parameters

  [in] | transformed_pt | Location to evaluate at.
  [in] | cos_theta | sin(theta) of the current rotation angle of rigid transformation: to avoid repeated evaluation
  [in] | sin_theta | cos(theta) of the current rotation angle of rigid transformation: to avoid repeated evaluation

Definition at line 344 of file ndt_2d.hpp.

References single_grids_, and pcl::ndt2d::ValueAndDerivatives< N, T >::Zero().

Referenced by pcl::NormalDistributionsTransform2D< PointSource, PointTarget >::computeTransformation().

## Member Data Documentation

## single_grids_

template<typename PointT>

std::shared_ptr<SingleGrid> pcl::ndt2d::NDT2D< PointT >::single_grids_[4]

protected

Definition at line 355 of file ndt_2d.hpp.

Referenced by NDT2D(), and test().

The documentation for this class was generated from the following file:

- pcl/registration/impl/ndt_2d.hpp